net.i2p.update

## Enum UpdateMethod

- java.lang.Object
- - java.lang.Enum<UpdateMethod>
  - - net.i2p.update.UpdateMethod

- All Implemented Interfaces:
    Serializable, Comparable<UpdateMethod>

      public enum UpdateMethod
      extends Enum<UpdateMethod>

  Transport mechanism for getting something.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBIAN` Debian package manager
    `FILE` Local file
    `GNUTELLA` Gnutella protocol
    `HTTP` HTTP via .i2p or outproxy
    `HTTP_CLEARNET` Direct HTTP via clearnet
    `HTTPS_CLEARNET` Direct HTTPS via clearnet
    `IMULE` IMule protocol
    `METHOD_DUMMY` Dummy: internal use only
    `TAHOE_LAFS` Tahoe-LAFS protocol
    `TORRENT` BitTorrent protocol

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpdateMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpdateMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBIAN

          public static final UpdateMethod DEBIAN

      Debian package manager

    - #### FILE

          public static final UpdateMethod FILE

      Local file

    - #### GNUTELLA

          public static final UpdateMethod GNUTELLA

      Gnutella protocol

    - #### HTTP

          public static final UpdateMethod HTTP

      HTTP via .i2p or outproxy

    - #### HTTP_CLEARNET

          public static final UpdateMethod HTTP_CLEARNET

      Direct HTTP via clearnet

    - #### HTTPS_CLEARNET

          public static final UpdateMethod HTTPS_CLEARNET

      Direct HTTPS via clearnet

    - #### IMULE

          public static final UpdateMethod IMULE

      IMule protocol

    - #### METHOD_DUMMY

          public static final UpdateMethod METHOD_DUMMY

      Dummy: internal use only

    - #### TAHOE_LAFS

          public static final UpdateMethod TAHOE_LAFS

      Tahoe-LAFS protocol

    - #### TORRENT

          public static final UpdateMethod TORRENT

      BitTorrent protocol

  - ### Method Detail

    - #### valueOf

          public static UpdateMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static UpdateMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpdateMethod c : UpdateMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared